> ## Documentation Index
> Fetch the complete documentation index at: https://upstash-partnerstash.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Flow-Control Keys

> List All Flow Control Keys

## Response

<ResponseField name="flowControls" type="Array">
  <Expandable>
    <ResponseField name="flowControlKey" type="string">
      The key of the flow control. See the [flow control](/workflow/features/flow-control) for more details.
    </ResponseField>

    <ResponseField name="waitListSize" type="integer">
      The number of messages in the wait list that waits for `parallelism`/`rate` set in the flow control.
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```sh theme={null}
  curl -X GET https://qstash.upstash.io/v2/flowControl/  -H "Authorization: Bearer <token>"
  ```
</RequestExample>
